{
  "name": "@jupyterlab/vega5-extension",
  "version": "4.0.11",
  "description": "JupyterLab - Vega 5 and Vega-Lite 5 Mime Renderer Extension",
  "homepage": "https://github.com/jupyterlab/jupyterlab",
  "bugs": {
    "url": "https://github.com/jupyterlab/jupyterlab/issues"
  },
  "repository": {
    "type": "git",
    "url": "https://github.com/jupyterlab/jupyterlab.git"
  },
  "license": "BSD-3-Clause",
  "author": "Project Jupyter",
  "sideEffects": [
    "style/**/*"
  ],
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "style": "style/index.css",
  "directories": {
    "lib": "lib/"
  },
  "files": [
    "lib/*.{d.ts,js,js.map}",
    "style/*.*",
    "src/**/*.{ts,tsx}"
  ],
  "scripts": {
    "build": "tsc -b",
    "build:test": "tsc --build tsconfig.test.json",
    "clean": "rimraf lib tsconfig.tsbuildinfo",
    "docs": "typedoc src",
    "test": "jest",
    "test:cov": "jest --collect-coverage",
    "test:debug": "node --inspect-brk ../../node_modules/.bin/jest --runInBand",
    "test:debug:watch": "node --inspect-brk ../../node_modules/.bin/jest --runInBand --watch",
    "watch": "tsc -b --watch"
  },
  "dependencies": {
    "@jupyterlab/rendermime-interfaces": "^3.8.11",
    "@lumino/coreutils": "^2.1.2",
    "@lumino/widgets": "^2.3.0",
    "vega": "^5.20.0",
    "vega-embed": "^6.2.1",
    "vega-lite": "^5.6.1-next.1"
  },
  "devDependencies": {
    "@jupyterlab/testutils": "^4.0.11",
    "@types/jest": "^29.2.0",
    "@types/webpack-env": "^1.18.0",
    "jest": "^29.2.0",
    "rimraf": "~3.0.0",
    "typedoc": "~0.24.7",
    "typescript": "~5.0.4"
  },
  "publishConfig": {
    "access": "public"
  },
  "jupyterlab": {
    "mimeExtension": true
  },
  "styleModule": "style/index.js"
}
